package com.dsic.gj_erp.controller.jhgk;


import com.alibaba.fastjson.JSONObject;
import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.jhgk.DmXbjh;
import com.dsic.gj_erp.service.jhgk.DmXbjhService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author xn
 * @since 2023-09-15
 */
@RestController
@RequestMapping("/dmXbjh")
@Api(tags = "线表计划")
public class DmXbjhController {
    @Autowired
    DmXbjhService dmXbjhService;

    @ApiOperation(value = "查询")
    @PostMapping(value = "/getList")
    public ResultBean getList(@RequestBody JSONObject json) {
        Map<String,List<DmXbjh>> dmXbjhs= dmXbjhService.getList(json);
        return new ResultBean(dmXbjhs);
    }

    @ApiOperation(value = "导入excel")
    @PostMapping(value = "/upload")
    public ResultBean upload(@RequestParam(value = "file") MultipartFile file) throws IOException {
        JSONObject dmXbjhs= dmXbjhService.upload(file);
        return new ResultBean(dmXbjhs);
    }

    @GetMapping("getVersion")
    public ResultBean<?> getVersion(String nf){
        return new ResultBean<>(dmXbjhService.getVersion(nf));
    }

    @GetMapping("getByVersion")
    public ResultBean<?> getByVersion(String nf,String version){
        return new ResultBean<>(dmXbjhService.getByVersion(nf,version));
    }

    @ApiOperation(value = "批量保存")
    @PostMapping(value = "/save")
    public ResultBean save(@RequestBody JSONObject dmXbjhs) {
        //dmXbjhService.save(dmXbjhs);
        return new ResultBean();
    }

    @ApiOperation(value = "批量提交")
    @PostMapping(value = "/tj")
    public ResultBean tj(@RequestBody List<DmXbjh> dmXbjhs) {
        dmXbjhService.tj(dmXbjhs);
        return new ResultBean();
    }

}

