package com.dsic.gj_erp.controller.pgd;


import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.dsic.gj_erp.annotation.AuthFunction;
import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.jhgk.DmYdjhLj;
import com.dsic.gj_erp.bean.pgd.Qmqz;
import com.dsic.gj_erp.exception.CustomException;
import com.dsic.gj_erp.mapper.pgd.PgdQmjhMapper;
import com.dsic.gj_erp.service.jhgk.DmYdjhLjService;
import com.dsic.gj_erp.service.pgd.PgdQmjhService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author xn
 * @since 2023-11-13
 */
@RestController
@RequestMapping("/pgdQmjh")
public class PgdQmjhController {
    @Autowired
    PgdQmjhService  pgdQmjhService;

    @Autowired
    DmYdjhLjService dmYdjhLjService;


    @Autowired
    PgdQmjhMapper pgdQmjhMapper;

    @PostMapping("pg")
    public ResultBean<?> pg(@RequestBody List<DmYdjhLj> list){
        pgdQmjhService.pg(list);
        return new ResultBean<>();
    }



    @PostMapping("/getQmPgd")
    @ResponseBody
    public ResultBean getQmPgd(HttpServletRequest req, @RequestBody Map map) throws Exception, CustomException {
        QueryWrapper<DmYdjhLj> qw =new QueryWrapper<>();


        qw.eq(StrUtil.isNotEmpty((String)map.get("dcch")),"czbh",(String)map.get("dcch"));
        qw.eq(StrUtil.isNotEmpty((String)map.get("pl")),"pl",(String)map.get("pl"));
        qw.eq(StrUtil.isNotEmpty((String)map.get("fd")),"fd",(String)map.get("fd"));
        qw.eq(StrUtil.isNotEmpty((String)map.get("zt")),"qjg_zt",(String)map.get("zt"));
        qw.eq(StrUtil.isNotEmpty((String)map.get("dmry")),"dmry",(String)map.get("dmry"));
        qw.eq(StrUtil.isNotEmpty((String)map.get("pkry")),"pkry",(String)map.get("pkry"));
        qw.eq(StrUtil.isNotEmpty((String)map.get("qjgry")),"qjgry",(String)map.get("qjgry"));
        List<DmYdjhLj> dmYdjhLjs = pgdQmjhMapper.selectQmByQgAndJh(map);
        //  qw.eq("qbs","Y");

        return new ResultBean(dmYdjhLjs);

    }

    @PostMapping("/saveQmPgdJs")
    @ResponseBody
    @AuthFunction
    public ResultBean saveQmPgdJs(HttpServletRequest req, @RequestBody List<DmYdjhLj> list) throws Exception, CustomException {
        pgdQmjhService.saveQmPgdJs(list,req);
        return new ResultBean();
    }


    @PostMapping("/saveQmPgdXd")
    @ResponseBody
    @AuthFunction
    public ResultBean saveQmPgdXd(HttpServletRequest req, @RequestBody List<DmYdjhLj> list) throws Exception, CustomException {
        pgdQmjhService.saveQmPgdXd(list,req);
        return new ResultBean();
    }

    @PostMapping("/saveQmPgdXdBack")
    @ResponseBody
    @AuthFunction
    public ResultBean saveQmPgdXdBack(HttpServletRequest req, @RequestBody List<DmYdjhLj>list) throws Exception, CustomException {
        pgdQmjhService.saveQmPgdXdBack(list,req);
        return new ResultBean();
    }



    @PostMapping("/saveQmPgdFk")
    @ResponseBody
    @AuthFunction
    public ResultBean saveQmPgdFk(HttpServletRequest req, @RequestBody List<DmYdjhLj>list) throws Exception, CustomException {
        pgdQmjhService.saveQmPgdFk(list,req) ;
        return new ResultBean();
    }

    @PostMapping("/saveQmFk")
    @ResponseBody
    @AuthFunction
    public ResultBean saveQmFk(HttpServletRequest req, @RequestBody List<DmYdjhLj>list) throws Exception, CustomException {
        pgdQmjhService.saveQmFk(list,req) ;
        return new ResultBean();
    }

    @PostMapping("/selectQmByQgAndJh")
    @ResponseBody
    public ResultBean selectQmByQgAndJh(HttpServletRequest req, @RequestBody Map map) throws Exception, CustomException {
        List<Qmqz> qmqzs = pgdQmjhService.selectQmByQgAndJh(map);
        return new ResultBean(qmqzs);
    }

    @PostMapping("/insertQmList")
    @ResponseBody
    public ResultBean insertQmList(HttpServletRequest req, @RequestBody Map map) throws Exception, CustomException {
        pgdQmjhService.insertQmList(map,req);
        return new ResultBean();
    }
    @PostMapping("/removeQmList")
    @ResponseBody
    public ResultBean removeQmList(HttpServletRequest req, @RequestBody Map map) throws Exception, CustomException {
        pgdQmjhService.removeQmList(map,req);
        return new ResultBean();
    }








}

